#include "induct.h"

void
printlist()
{
 conductor *tmp;
 int i;

 for(tmp = cond_head; tmp != NULL; tmp = tmp->next)
   {
     printf("Conductor %d, lambda %lf, i_s = %d, i_e = %d \n",
             tmp->cnum, tmp->lam2, tmp->i_start, tmp->i_end);
   for(i = 0; i <= (tmp->i_end - tmp->i_start); i++)
     printf("    (xll,yll) = (%lf,%lf), (xur,yur) = (%lf,%lf), area = %lf \n",
             tmp->segarray[i]->xll, tmp->segarray[i]->yll, 
             tmp->segarray[i]->xur, tmp->segarray[i]->yur, 1/tmp->segarray[i]->area_r);
   }
}

void
printinputlist()
{
 input_conductor *tmp;

 for(tmp = input_cond; tmp != NULL; tmp = tmp->next)
   {
     printf("Conductor %d, lambda %lf, xnum = %d, ynum = %d \n",
             tmp->cnum, tmp->lam2, tmp->xnum, tmp->ynum);
     printf("    xtype = %d, ytype = %d, xratio = %lf, yratio = %lf, \n",
	     tmp->xtype, tmp->ytype, tmp->xratio, tmp->yratio);
     printf("    (xll,yll) = (%lf,%lf), (xur,yur) = (%lf,%lf) \n",
             tmp->xll, tmp->yll, tmp->xur, tmp->yur);
   }
}
